Skip site navigation (1) Skip section navigation (2)

Re: tcl-devel build dependencies for 7.4.2

From: Tom Lane <tgl(at)sss(dot)pgh(dot)pa(dot)us>
To: "Donald Fraser" <demolish(at)cwgsy(dot)net>
Cc: "[ADMIN]" <pgsql-admin(at)postgresql(dot)org>
Subject: Re: tcl-devel build dependencies for 7.4.2
Date: 2004-04-13 21:26:45
Message-ID: 26739.1081891605@sss.pgh.pa.us (view raw or flat)
Thread:
Lists: pgsql-admin
"Donald Fraser" <demolish(at)cwgsy(dot)net> writes:
> I am trying to build Postgres 7.4.2 from the source rpm on Red Hat Linux 7.1
> 2.96-98

> error: failed build dependencies:
>         tcl-devel is needed by postgresql-7.4.2-1PGDG

This dependency is bogus; it doesn't apply to RHL 7.1.  The easiest
solution is to just add --nodeps and build anyway.  I believe if you
use the appropriate -D to tell the RPM specfile you're on RHL 7, it
will suppress the build dependency; but you'd have to look at the
specfile to figure out what symbol to define, 'cause I don't recall
offhand ...

			regards, tom lane

In response to

Responses

pgsql-admin by date

Next:From: Donald FraserDate: 2004-04-13 22:58:28
Subject: Re: tcl-devel build dependencies for 7.4.2
Previous:From: Donald FraserDate: 2004-04-13 20:43:08
Subject: tcl-devel build dependencies for 7.4.2

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group